Bug 22394 - Remove C4::Accounts::manualinvoice
Summary: Remove C4::Accounts::manualinvoice
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 22393
Blocks: 22510
  Show dependency treegraph
 
Reported: 2019-02-22 11:17 UTC by Martin Renvoize
Modified: 2020-11-16 21:14 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 22394: Remove C4::Accounts::manualinvoice (5.42 KB, patch)
2020-08-19 11:33 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22394: Remove C4::Accounts::manualinvoice (5.46 KB, patch)
2020-10-19 13:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22394: Remove C4::Accounts::manualinvoice (5.62 KB, patch)
2020-10-23 11:43 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 22394: Remove C4::Accounts::manualinvoice (5.68 KB, patch)
2020-10-24 02:22 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-02-22 11:17:14 UTC
We deprecated C4::Accounts::manualinvoice in bug 21756, this bug is a placeholder to ensure it's removed when appropriate.
Comment 1 Martin Renvoize 2020-08-19 11:28:12 UTC
We have been warning via a deprecation warning since the release of 19.05.00.. with the release of 20.11 it will make 18 months of the warning having been fired so I think we're safe to remove it now
Comment 2 Martin Renvoize 2020-08-19 11:29:57 UTC
This was a nice example of the use of the deprecated method from Mojo::Utils to give warning of a method being removed prior to it's actual removal.. I wonder.. did people find this helpful and should we adopt the practice more widely?
Comment 3 Martin Renvoize 2020-08-19 11:33:44 UTC
Created attachment 108588 [details] [review]
Bug 22394: Remove C4::Accounts::manualinvoice

This patch removes C4::Accounts::manualinvoice and it's corresponding
test.  We have been warning deprecation of this method for 18 months (by
the time of 20.11 release).

Test plan
1/ Apply patch
2/ Ensure no mention of manualinvoice accross the codebase
Comment 4 David Nind 2020-10-17 19:19:00 UTC
Patch no longer applies 8-(

Notes for testing:
- Find usage of manualinvoice: git grep manualinvoice
- Search before applying patch
- After apply patch should be no occurrences
Comment 5 Martin Renvoize 2020-10-19 13:46:23 UTC
Created attachment 111991 [details] [review]
Bug 22394: Remove C4::Accounts::manualinvoice

This patch removes C4::Accounts::manualinvoice and it's corresponding
test.  We have been warning deprecation of this method for 18 months (by
the time of 20.11 release).

Test plan
1/ Apply patch
2/ Ensure no mention of manualinvoice accross the codebase
3/ Run t/db_dependant/Accounts.t and ensure it still passes
Comment 6 Joonas Kylmälä 2020-10-23 11:43:50 UTC
Created attachment 112259 [details] [review]
Bug 22394: Remove C4::Accounts::manualinvoice

This patch removes C4::Accounts::manualinvoice and it's corresponding
test.  We have been warning deprecation of this method for 18 months (by
the time of 20.11 release).

Test plan
1/ Apply patch
2/ Ensure no mention of manualinvoice accross the codebase
3/ Run t/db_dependant/Accounts.t and ensure it still passes

Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 7 Nick Clemens 2020-10-24 02:22:33 UTC
Created attachment 112361 [details] [review]
Bug 22394: Remove C4::Accounts::manualinvoice

This patch removes C4::Accounts::manualinvoice and it's corresponding
test.  We have been warning deprecation of this method for 18 months (by
the time of 20.11 release).

Test plan
1/ Apply patch
2/ Ensure no mention of manualinvoice accross the codebase
3/ Run t/db_dependant/Accounts.t and ensure it still passes

Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Jonathan Druart 2020-11-04 12:02:53 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-11-16 21:14:41 UTC
enhancement will not be backported to 20.05.x